platform :ios, '10.0'
inhibit_all_warnings!
swift_version = "4.0"

target 'Weepen' do
	use_frameworks!
	
	#Firebase
	pod 'FirebaseUI/Auth'
	pod 'FirebaseUI/Phone'
	pod 'Firebase/Firestore'
	pod 'Firebase/Core'
	pod 'Firebase/Storage'
	pod 'Firebase/Auth'
    pod 'Firebase/Messaging'
    pod 'Firebase/Functions'
	
	#Auth
	pod 'FacebookSDK/LoginKit'
	pod 'GoogleSignIn'
	
	#Caches
	pod 'RealmSwift'
	
	#Chat
	pod 'MessageKit', '~> 1.0.0'
	
	#Request
    pod 'InstantSearchClient', '~> 6.0'
	
	#Check Connection User
	pod 'ReachabilitySwift'
	pod 'NotificationBannerSwift'
	
	#UI/UX
	pod 'Hero', '~> 1.1'
	pod 'CHIPageControl/Aleppo'
	pod 'Magnetic', '~> 2.0.0'
	pod 'SkyFloatingLabelTextField', '~> 3.0'
	pod 'SwiftRangeSlider'
    pod 'GrowingTextView', '0.6.1'
    pod 'RevealingSplashView'
	pod 'ListPlaceholder'
	pod 'Ambience'
	pod 'JTAppleCalendar', '~> 7.0'
	pod 'NVActivityIndicatorView'
    pod 'GradientLoadingBar', '~> 1.0'
    pod 'SwipeMenuViewController', '~> 3.0.0'

    
	target 'WeepenTests' do
		inherit! :search_paths
	end
	
	target 'WeepenUITests' do
		inherit! :search_paths
	end
	
end

post_install do |installer|	
	installer.pods_project.targets.each do |target|
		target.build_configurations.each do |config|
			config.build_settings['CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF'] = 'NO'
			config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '10.0'
			config.build_settings['SWIFT_VERSION'] = '4.0'
		end
		if  target.name == 'CHIPageControl' || target.name == 'JTAppleCalendar' || target.name == 'MarqueeLabel' || target.name == 'NotificationBannerSwift' || target.name == 'RealmSwift' || target.name == 'RevealingSplashView' || target.name == 'Ambience' || target.name == 'Hero' || target.name == 'InstantSearchClient' || target.name == 'GrowingTextView' || target.name == 'ReachabilitySwift' || target.name == 'SkyFloatingLabelTextField' || target.name == 'GradientLoadingBar'
            target.build_configurations.each do |config|
                config.build_settings['SWIFT_VERSION'] = '4.2'
            end
        end
	end
end
